# lookupApplicationLogsByID

GET

/v2/applications/{application-id}/logs

Lookup application logs.

## Parameters

### Path Parameters

**application-id**  
required  
integer

### Query Parameters

**limit**  
integer  
Maximum number of results to return. There could be additional pages even if the limit is not reached.

**next**  
string  
The next page of results. Use the next token provided by the previous results.

**txid**  
string  
Lookup the specific transaction by ID.

**min-round**  
integer  
Include results at or after the specified min-round.

**max-round**  
integer  
Include results at or before the specified max-round.

**sender-address**  
string  
Only include transactions with this sender address.

## Responses

### 200

(empty)

Select media type application/json

object

**application-id**  
required  
[appidx] application index.  
integer

**current-round**  
required  
Round at which the results were computed.  
integer

**log-data**  
Array<object>  
Stores the global information associated with an application.

**logs**  
required  
Logs for the application being executed by the transaction.  
Array<string>

**txid**  
required  
Transaction ID  
string

**next-token**  
Used for pagination, when making another request provide this token with the next parameter.  
string
